Skip to main content
GET
Get agent run

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

runId
string
required

Run id from list_task_runs or get_task's latestRun.

Required string length: 1 - 64

Query Parameters

field
enum<string>
default:result

Which run text to page through.

Available options:
result,
plan,
error
offset
integer
default:0

Character offset into that text (from nextOffset).

Required range: 0 <= x <= 9007199254740991
actionsCursor
string

nextActionsCursor from a previous get_run of this run.

Maximum string length: 2000
actionsLimit
integer
default:20

Maximum results to return (default 20, max 50).

Required range: 1 <= x <= 50

Response

Success

The response is of type object.